<?php class btn1Options {

	function getOptions() {
		$options = get_option('btn1_options');
		if (!is_array($options)) {
			$options['description'] = '';
			$options['keywords'] = '';
			$options['menu'] = 'pages';
			$options['categories'] = false;
			$options['google'] = false;
			$options['google_code'] = '';
			$options['notice'] = false;
			$options['notice_content'] = '';
			$options['adtop'] = false;
			$options['adtop_code'] = '';
			$options['adpost'] = false;
			$options['adpost_code'] = '';
			$options['feed'] = false;
			$options['feed_url'] = '';
			$options['feed_email'] = false;
			$options['feed_url_email'] = '';
			$options['beian'] = false;
			$options['beian_code'] = '';
			$options['stats'] = false;
			$options['stats_code'] = '';
			
			update_option('btn1_options', $options);
		}
		return $options;
	}

	function add() {
		if(isset($_POST['btn1_save'])) {
			$options = btn1Options::getOptions();
			
			// meta
			$options['description'] = stripslashes($_POST['description']);
			$options['keywords'] = stripslashes($_POST['keywords']);
			
			// menu
			$options['menu'] = stripslashes($_POST['menu']);		
			if ($_POST['categories']) {
				$options['categories'] = (bool)true;
			} else {
				$options['categories'] = (bool)false;
			}

			// google search
			if ($_POST['google']) {
				$options['google'] = (bool)true;
			} else {
				$options['google'] = (bool)false;
			}
			$options['google_code'] = stripslashes($_POST['google_code']);
			
			// notice
			if ($_POST['notice']) {
				$options['notice'] = (bool)true;
			} else {
				$options['notice'] = (bool)false;
			}
			$options['notice_content'] = stripslashes($_POST['notice_content']);

			// feed
			if ($_POST['feed']) {
				$options['feed'] = (bool)true;
			} else {
				$options['feed'] = (bool)false;
			}
			$options['feed_url'] = stripslashes($_POST['feed_url']);
			
			if ($_POST['feed_email']) {
				$options['feed_email'] = (bool)true;
			} else {
				$options['feed_email'] = (bool)false;
			}
			$options['feed_url_email'] = stripslashes($_POST['feed_url_email']);
						
			// adtop
			if ($_POST['adtop']) {
				$options['adtop'] = (bool)true;
			} else {
				$options['adtop'] = (bool)false;
			}
			$options['adtop_code'] = stripslashes($_POST['adtop_code']);

			// adpost
			if ($_POST['adpost']) {
				$options['adpost'] = (bool)true;
			} else {
				$options['adpost'] = (bool)false;
			}
			$options['adpost_code'] = stripslashes($_POST['adpost_code']);
						
			// beian
			if ($_POST['beian']) {
				$options['beian'] = (bool)true;
			} else {
				$options['beian'] = (bool)false;
			}
			$options['beian_code'] = stripslashes($_POST['beian_code']);

			// stats
			if ($_POST['stats']) {
				$options['stats'] = (bool)true;
			} else {
				$options['stats'] = (bool)false;
			}
			$options['stats_code'] = stripslashes($_POST['stats_code']);
							
			update_option('btn1_options', $options);

		} else {
			btn1Options::getOptions();
		}

		add_theme_page(__('Current Theme Options', 'btn1'), __('Current Theme Options', 'btn1'), 'edit_themes', basename(__FILE__), array('btn1Options', 'display'));
	}

	function display() {
		$options = btn1Options::getOptions();
?>

<form action="#" method="post" enctype="multipart/form-data" name="btn1_form" id="btn1_form">
	<div class="wrap">
		<h2><?php _e('Current Theme Options', 'btn1'); ?></h2>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Meta', 'btn1'); ?></th>
					<td>
						<?php _e('Description:', 'btn1'); ?>
						<br/>
						<input type="text" name="description" id="description" class="code" style="width:98%;" value="<?php echo($options['description']); ?>">
						<br/>
						<?php _e('Keywords:', 'btn1'); ?> <small><?php _e('( Separate keywords with commas )', 'btn1'); ?></small>
						<br/>
						<input type="text" name="keywords" id="keywords" class="code" style="width:98%;" value="<?php echo($options['keywords']); ?>">
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Menu', 'btn1'); ?></th>
					<td>
						<label style="margin-right:20px;">
							<input name="menu" type="radio" value="pages" <?php if($options['menu'] != 'categories') echo "checked='checked'"; ?> />
							 <?php _e('Show pages as menu', 'btn1'); ?>
						</label>
						<label>
							<input name="menu" type="radio" value="categories" <?php if($options['menu'] == 'categories') echo "checked='checked'"; ?> />
							 <?php _e('Show categories as menu', 'btn1'); ?>
						</label>
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Search', 'btn1'); ?></th>
					<td>
						<label>
							<input name="google" type="checkbox" value="checkbox" <?php if($options['google']) echo "checked='checked'"; ?> />
							 <?php _e('Using google custom search engine.', 'btn1'); ?>
						</label>
						<br/>
						<?php _e('CX:', 'btn1'); ?>
						 <input type="text" name="google_code" id="google_code" class="code" size="40" value="<?php echo($options['google_code']); ?>">
						<br/>
						<?php _e('Find <code>name="cx"</code> in the <strong>Search box code</strong> of <a href="http://www.google.com/coop/cse/">Google Custom Search Engine</a>, and type the <code>value</code> here.<br/>For example: <code>003120516147559365629:pzooac4lotm</code>', 'btn1'); ?>
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Notice', 'btn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'btn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="notice" type="checkbox" value="checkbox" <?php if($options['notice']) echo "checked='checked'"; ?> />
							 <?php _e('This notice bar will display at the top of posts on homepage.', 'btn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="notice_content" id="notice_content" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['notice_content']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Feed', 'btn1'); ?></th>
					<td>
						<label>
							<input name="feed" type="checkbox" value="checkbox" <?php if($options['feed']) echo "checked='checked'"; ?> />
							 <?php _e('Custom feed', 'btn1'); ?>
						</label>
						<br/>
						<?php _e('URL:', 'btn1'); ?> <input type="text" name="feed_url" id="feed_url" class="code" size="60" value="<?php echo($options['feed_url']); ?>">
						<br/>
						<label>
							<input name="feed_email" type="checkbox" value="checkbox" <?php if($options['feed_email']) echo "checked='checked'"; ?> />
							 <?php _e('Email feed', 'btn1'); ?>
						</label>
						<br/>
						<?php _e('URL:', 'btn1'); ?> <input type="text" name="feed_url_email" id="feed_url_email" class="code" size="60" value="<?php echo($options['feed_url_email']); ?>">
					</td>
				</tr>
			</tbody>
		</table>
				
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Topads', 'btn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'btn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="adtop" type="checkbox" value="checkbox" <?php if($options['adtop']) echo "checked='checked'"; ?> />
							 <?php _e('Display ads at the top right.', 'btn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="adtop_code" id="adtop_code" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['adtop_code']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Postads', 'btn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'btn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="adpost" type="checkbox" value="checkbox" <?php if($options['adpost']) echo "checked='checked'"; ?> />
							 <?php _e('Display ads in the text below.', 'btn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="adpost_code" id="adpost_code" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['adpost_code']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Beian', 'btn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'btn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="beian" type="checkbox" value="checkbox" <?php if($options['beian']) echo "checked='checked'"; ?> />
							 <?php _e('Display beian at the bottom.', 'btn1'); ?>
						</label>
						<br />
						<?php _e('NO.:', 'btn1'); ?> <input type="text" name="beian_code" id="beian_code" class="code" size="60" value="<?php echo($options['beian_code']); ?>">
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Stats', 'btn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'btn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="stats" type="checkbox" value="checkbox" <?php if($options['stats']) echo "checked='checked'"; ?> />
							 <?php _e('Web site statistics by adding the code (not show).', 'btn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="stats_code" id="stats_code" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['stats_code']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
														
		<p class="submit">
			<input class="button-primary" type="submit" name="btn1_save" value="<?php _e('Save Changes', 'btn1'); ?>" />
		</p>
	</div>

</form>

<?php } }

add_action('admin_menu', array('btn1Options', 'add')); 

function theme_init(){
	load_theme_textdomain('btn1', get_template_directory() . '/languages');
	}
add_action ('init', 'theme_init');

function my_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>">
			<div class="comment-author vcard">
				<?php echo get_avatar( $comment, 32 ); ?>
				<?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>', 'btn1'), get_comment_author_link()) ?>
				<?php if(function_exists("yus_reply")) yus_reply(); ?>
			</div>

			<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s', 'btn1'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('Edit', 'btn1'),'  ','') ?></div>

			<?php if ($comment->comment_approved == '0') : ?>
				<em><?php _e('Your comment is awaiting moderation.', 'btn1') ?></em>
			<?php endif; ?>
			
			<?php comment_text() ?>

			<div class="reply">
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
			</div>
		</div>
<?php }

if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
?>